using IWS5.Core.DTO;
using IWS5.Core.Models;
using IWS5.Core.Models.Request;

namespace IWS5.Core.Services;

public interface IFolderFieldService
{
    Task<CodeResponse<FolderFieldListDTO>> ListFolderFieldItems(FolderFieldRequest folderFieldRequest);
    Task<CodeResponse<List<FolderFieldItem>>> ListFolderFieldItems(FolderFieldsByProcessIdRequest request);
    Task<CodeResponse<String>> UpdateFieldListOfValues(string userName, UpdateFieldListOfValuesRequest updateFieldListOfValuesRequest);
}